| Home | Libraries | People | FAQ | More

#### buffer (23 of 28 overloads)

Create a new modifiable buffer that represents the given POD vector.

    template<
        typename PodType,
        typename Allocator>
    mutable_buffers_1 buffer(
        std::vector< PodType, Allocator > & data);

###### Return Value

A `mutable_buffers_1` value equivalent to:

    mutable_buffers_1(
        data.size() ? &data[0] : 0,
        data.size() * sizeof(PodType));

###### Remarks

The buffer is invalidated by any vector operation that would also invalidate iterators.